//
//  keyInfo.m
//  DictionaryViewer
//
//  Created by Allanon on 18/08/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import "keyInfo.h"


@implementation KeyInfo
- (NSString *)getKey
{
	return key;
}
- (NSString *)getVal
{
	return val;
}
- (void)setKey:(NSString *)keyval
{
	key=keyval;
}
- (void)setVal:(NSString *)valval
{
	val=valval;
}
- (BOOL)isEqual:(id)anObject{
	if ([key isEqual:[anObject getKey]]) return true;
	return false;
}
- (NSComparisonResult)compareKey:(KeyInfo *)k
{
    return [key compare:[k getKey]];
}
@end
